Retrieve feature flag evaluation for workspace
curl --request GET \
--url https://api.blaxel.ai/v0/features/{featureKey} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/features/{featureKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/features/{featureKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"evaluatedAt": "2026-02-09T10:30:00Z",
"featureKey": "gpu_deployments",
"payload": {
"allowed_types": [
"A100",
"H100"
],
"max_gpus": 4
},
"variant": "variant_a"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}featureFlags
Retrieve feature flag evaluation for workspace
Evaluates a specific feature flag for the workspace with full details including variant and payload. Useful for testing and debugging feature flag targeting.
GET
/
features
/
{featureKey}
Retrieve feature flag evaluation for workspace
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Name of the feature flag
Query Parameters
Account ID to check feature flags for. When provided, evaluates the feature flag at the account level instead of the workspace level.
Last modified on August 3, 2026
Was this page helpful?
⌘I
